### Constructor

# GimpUi ColorProfileStore new

since: 2.4

#### Declaration [src]

    GtkListStore*
    gimp_color_profile_store_new (
      GFile* history
    )

#### Description [src]

Creates a new `GimpColorProfileStore` object and populates it with last used profiles read from the file `history`. The updated history is written back to disk when the store is disposed.

The `GFile` passed as `history` is typically created using the following code snippet: gchar *history = gimp_personal_rc_file (“profilerc”); .

Available since: 2.4

#### Parameters

`history`

  Type: `GFile`

  `GFile` of the profilerc (or `NULL` for no history).

  The data is owned by the caller of the function.

#### Return value

Type: `GtkListStore`

A new `GimpColorProfileStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.